import { getDict } from '@/hooks/web/useDictionaries'

export const getText = (value, arr, itemText = 'label', itemValue = 'value') => { // 一维数组
  // console.log('getText', value, arr)
  if (!arr?.length || !(value && value !== 0)) return
  const item = arr.find(formItem => formItem[itemValue] === value)
  if (!item) return
  return item[itemText]
}


export const getAreaName = (value, arr, itemText = 'name', itemValue = 'id') => { // 一维数组
  let str = '暂无'
  if (!value && value !== 0) return
  if (!arr?.length) {
    getDict('menduner_area_type', {}, 'areaList').then(({ data }) => {
      arr = data?.length && data || []
      if (!arr?.length) return
      getItemText ()
    })
  } else getItemText ()

  function getItemText () {
    const item = arr.find(formItem => formItem[itemValue] === value)
    if (!item) return
    str = item[itemText]
    return str
  }
}

export const dealCanBeInputtedValueAndLabel = (formItem, item) => {
  if (item[formItem.key] && item[formItem.itemTextName]) { formItem.search(item[formItem.itemTextName], '触发下拉框内容'); formItem.value = item[formItem.key] }
  else { formItem.value = item[formItem.itemTextName]; formItem[formItem.itemTextName] = item[formItem.itemTextName] }
}
export const dealCanBeInputtedSave = (formItem, params) => {
  if (formItem.value === formItem[formItem.itemTextName]) { params[formItem.key] = ''; params[formItem.itemTextName] = formItem[formItem.itemTextName] }
  else { params[formItem.key] = formItem.value; params[formItem.itemTextName] = formItem[formItem.itemTextName] }
}
